Bug 1270394 (sharpziplib) - Review Request: sharpziplib - Zip, GZip, Tar and BZip2 library
Summary: Review Request: sharpziplib - Zip, GZip, Tar and BZip2 library
Status: CLOSED ERRATA
Alias: sharpziplib
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christian Dersch
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On: 1281954
Blocks: openra
TreeView+ depends on / blocked
 
Reported: 2015-10-09 21:41 UTC by Raphael Groner
Modified: 2015-11-25 21:52 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2015-11-25 21:52:47 UTC
lupinix.fedora: fedora-review+


Attachments (Terms of Use)

Description Raphael Groner 2015-10-09 21:41:24 UTC
Spec URL: https://raphgro.fedorapeople.org/review/openra/sharpziplib.spec
SRPM URL: https://raphgro.fedorapeople.org/review/openra/sharpziplib-0.85.5-0.1.fc23.src.rpm
Description: Zip, GZip, Tar and BZip2 library written entirely in C# for the .NET platform
Fedora Account System Username: raphgro

Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=11390615

Comment 1 Upstream Release Monitoring 2015-10-09 21:45:15 UTC
raphgro's scratch build of sharpziplib-0.85.5-0.1.fc23.src.rpm for f23 completed http://koji.fedoraproject.org/koji/taskinfo?taskID=11390615

Comment 2 Raphael Groner 2015-10-09 22:09:46 UTC
Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=11390776

Comment 3 Upstream Release Monitoring 2015-10-09 22:19:21 UTC
raphgro's scratch build of sharpziplib-0.85.5-0.1.fc23.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=11390776

Comment 4 Christian Dersch 2015-11-07 23:37:36 UTC
I'll do the review :)

Comment 5 Christian Dersch 2015-11-07 23:40:24 UTC
Mock build failed :(

+ nunit-console26 -labels '-exclude:Long Running' -stoponerror bin/debug/tests.dll
/var/tmp/rpm-tmp.5FZy6R: line 34: nunit-console26: command not found
error: Bad exit status from /var/tmp/rpm-tmp.5FZy6R (%check)
RPM build errors:
    Macro expanded in comment on line 44: #Requires:       %{name}%{?_isa} = %{version}-%{release}
    Bad exit status from /var/tmp/rpm-tmp.5FZy6R (%check)
Child return code was: 1
EXCEPTION: Command failed. See logs for output.
 # bash --login -c /usr/bin/rpmbuild -bb --target x86_64 --nodeps  /builddir/build/SPECS/sharpziplib.spec 
Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/mockbuild/trace_decorator.py", line 84, in trace
    result = func(*args, **kw)
  File "/usr/lib/python2.7/site-packages/mockbuild/util.py", line 520, in do
    raise exception.Error("Command failed. See logs for output.\n # %s" % (command,), child.returncode)
Error: Command failed. See logs for output.
 # bash --login -c /usr/bin/rpmbuild -bb --target x86_64 --nodeps  /builddir/build/SPECS/sharpziplib.spec 
LEAVE do --> EXCEPTION RAISED

Comment 6 Upstream Release Monitoring 2015-11-07 23:41:53 UTC
lupinix's scratch build of sharpziplib-0.85.5-0.1.fc23.src.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=11747714

Comment 8 Christian Dersch 2015-11-07 23:45:12 UTC
According to https://icsharpcode.github.io/SharpZipLib/ latest release is 0.86.0

Comment 9 Upstream Release Monitoring 2015-11-08 00:09:04 UTC
raphgro's scratch build of sharpziplib-0.85.5-0.1.fc23.src.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=11748020

Comment 10 Raphael Groner 2015-11-08 07:42:37 UTC
Blocker: https://bodhi.fedoraproject.org/updates/FEDORA-2015-0c4bcb338d

Comment 11 Upstream Release Monitoring 2015-11-08 07:45:26 UTC
raphgro's scratch build of sharpziplib-0.86.0-0.1.fc23.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=11750180

Comment 12 Raphael Groner 2015-11-08 07:46:54 UTC
Spec URL: https://raphgro.fedorapeople.org/review/openra/sharpziplib.spec
SRPM URL: https://raphgro.fedorapeople.org/review/openra/sharpziplib-0.86.0-0.1.fc23.src.rpm
Description: Zip, GZip, Tar and BZip2 library

* Sun Nov 08 2015 Raphael Groner <> - 0.86.0-0.1
- add Suggests to doc subpackage
- adjust Version tag
- shorten Summary text
- use nunit-runner cause now a separate package

Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=11750180

Comment 13 Christian Dersch 2015-11-08 11:11:09 UTC
Review done, to fix:
- directory ownerships
- license breakdown (use licensecheck output)
- inform upstream about wrong FSF address

Solution: Not approved



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- If (and only if) the source package includes the text of the license(s)
  in its own file, then that file, containing the text of the license(s)
  for the package is included in %license.
  Note: License file COPYING.txt is marked as %doc instead of %license
  See:
  http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text

=====> Bug in fedora-review? COPYING.txt *is* marked as %license => NOT AN ISSUE


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GPL (v2 or later) (with incorrect FSF address)", "BSD (3
     clause)", "Unknown or generated", "zlib/libpng". 174 files have
     unknown license. Detailed output of licensecheck in
     /home/review/1270394-sharpziplib/licensecheck.txt

====> Please contact upstream to fix FSF address

[x]: License file installed when any subpackage combination is installed.
[!]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.

====> Please add this to spec

[!]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/lib/mono/sharpziplib
[!]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/lib/mono/sharpziplib
[!]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by:
     /usr/lib/mono/gac/ICSharpCode.SharpZipLib(mono-core)
[-]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Useful -debuginfo package or justification otherwise.
[-]: Package is not known to require an ExcludeArch tag.

As required the package uses ExclusiveArch:  %{mono_arches}

[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     sharpziplib-doc
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: The placement of pkgconfig(.pc) files are correct.
     Note: sharpziplib : /usr/lib64/pkgconfig/sharpziplib.pc
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: sharpziplib-0.86.0-0.1.fc24.x86_64.rpm
          sharpziplib-doc-0.86.0-0.1.fc24.noarch.rpm
          sharpziplib-0.86.0-0.1.fc24.src.rpm
sharpziplib.x86_64: W: spelling-error %description -l en_US installable -> install able, install-able, uninstallable
sharpziplib.x86_64: E: no-binary
sharpziplib.x86_64: W: only-non-binary-in-usr-lib
sharpziplib.x86_64: E: incorrect-fsf-address /usr/share/licenses/sharpziplib/COPYING.txt
sharpziplib.x86_64: W: devel-file-in-non-devel-package /usr/lib64/pkgconfig/sharpziplib.pc
sharpziplib-doc.noarch: E: incorrect-fsf-address /usr/share/doc/sharpziplib-doc/COPYING.txt
sharpziplib-doc.noarch: E: incorrect-fsf-address /usr/share/licenses/sharpziplib-doc/COPYING.txt
sharpziplib.src: W: spelling-error %description -l en_US installable -> install able, install-able, uninstallable
sharpziplib.src:88: E: hardcoded-library-path in %{buildroot}/usr/lib
3 packages and 0 specfiles checked; 5 errors, 4 warnings.

====> As already mentioned: Please inform upstream about wrong FSF address, other errors are false positives in this case


Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
sharpziplib-doc.noarch: E: incorrect-fsf-address /usr/share/licenses/sharpziplib-doc/COPYING.txt
sharpziplib-doc.noarch: E: incorrect-fsf-address /usr/share/doc/sharpziplib-doc/COPYING.txt
sharpziplib.x86_64: E: no-binary
sharpziplib.x86_64: W: only-non-binary-in-usr-lib
sharpziplib.x86_64: E: incorrect-fsf-address /usr/share/licenses/sharpziplib/COPYING.txt
sharpziplib.x86_64: W: devel-file-in-non-devel-package /usr/lib64/pkgconfig/sharpziplib.pc
2 packages and 0 specfiles checked; 4 errors, 2 warnings.

====> See above

Requires
--------
sharpziplib-doc (rpmlib, GLIBC filtered):

sharpziplib (rpmlib, GLIBC filtered):
    /usr/bin/pkg-config
    mono(System)
    mono(mscorlib)



Provides
--------
sharpziplib-doc:
    sharpziplib-doc

sharpziplib:
    mono(ICSharpCode.SharpZipLib)
    pkgconfig(sharpziplib)
    sharpziplib
    sharpziplib(x86-64)



Source checksums
----------------
https://github.com/icsharpcode/sharpziplib/archive/e01215507cf25a5978a0bd850c9e67dbabf515b7.tar.gz#/sharpziplib-e01215507cf25a5978a0bd850c9e67dbabf515b7.tar.gz :
  CHECKSUM(SHA256) this package     : e8b8f0e6d4a76757f91a45a383cbcb1424355fb349e7a0f6d39ba266bceb7489
  CHECKSUM(SHA256) upstream package : e8b8f0e6d4a76757f91a45a383cbcb1424355fb349e7a0f6d39ba266bceb7489


Generated by fedora-review 0.5.3 (bcf15e3) last change: 2015-05-04
Command line :/bin/fedora-review -m fedora-rawhide-x86_64 -b 1270394
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 14 Raphael Groner 2015-11-09 11:02:52 UTC
=====> Bug in fedora-review? COPYING.txt *is* marked as %license => NOT AN ISSUE

Yes, because of COPYING.txt is additionally placed into doc folder:
sharpziplib-doc.noarch: E: incorrect-fsf-address
/usr/share/doc/sharpziplib-doc/COPYING.txt
sharpziplib-doc.noarch: E: incorrect-fsf-address
/usr/share/licenses/sharpziplib-doc/COPYING.txt


[!]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by:
     /usr/lib/mono/gac/ICSharpCode.SharpZipLib(mono-core)

No idea. Why does mono-core own parts of my separate package?

Comment 15 Raphael Groner 2015-11-09 11:07:04 UTC
- inform upstream about wrong FSF address

https://github.com/icsharpcode/SharpZipLib/issues/91

Comment 16 Raphael Groner 2015-11-09 13:02:05 UTC
Spec URL: https://raphgro.fedorapeople.org/review/openra/sharpziplib.spec
SRPM URL: https://raphgro.fedorapeople.org/review/openra/sharpziplib-0.86.0-0.2.fc23.src.rpm

* Mon Nov 09 2015 Raphael Groner <> - 0.86.0-0.2
- improve License tag
- fix directory ownership

Comment 17 Raphael Groner 2015-11-11 22:13:46 UTC
(In reply to Raphael Groner from comment #10)
> Blocker: https://bodhi.fedoraproject.org/updates/FEDORA-2015-0c4bcb338d

This got reverted, at least partially. I'll bring an update after it's landed then in @updates-testing.
https://bodhi.fedoraproject.org/updates/FEDORA-2015-da519c70d4

Comment 18 Christian Dersch 2015-11-12 17:40:03 UTC
So what is the current state? Doesn't build on rawhide now:

INFO: mock.py version 1.2.13 starting (python version = 2.7.8)...
Start: init plugins
INFO: selinux enabled
Finish: init plugins
Start: run
INFO: Start(/home/review/1270394-sharpziplib/srpm/sharpziplib-0.86.0-0.2.fc23.src.rpm)  Config(fedora-rawhide-x86_64)
Start: chroot init
INFO: calling preinit hooks
INFO: enabled root cache
INFO: enabled dnf cache
Start: cleaning dnf metadata
Finish: cleaning dnf metadata
INFO: enabled ccache
Mock Version: 1.2.13
INFO: Mock Version: 1.2.13
Finish: chroot init
Start: build phase for sharpziplib-0.86.0-0.2.fc23.src.rpm
Start: build setup for sharpziplib-0.86.0-0.2.fc23.src.rpm
ERROR: Exception(/home/review/1270394-sharpziplib/srpm/sharpziplib-0.86.0-0.2.fc23.src.rpm) Config(fedora-rawhide-x86_64) 2 minutes 15 seconds
INFO: Results and/or logs in: /home/review/1270394-sharpziplib/results
ERROR: Command failed: 
 # /usr/bin/dnf builddep --installroot /var/lib/mock/fedora-rawhide-x86_64/root/ --releasever 24 /var/lib/mock/fedora-rawhide-x86_64/root//builddir/build/SRPMS/sharpziplib-0.86.0-0.2.fc24.src.rpm --setopt=tsflags=nocontexts
Failed to synchronize cache for repo '_local' from 'file:///var/lib/dnf/plugins/local': Cannot download repomd.xml: Cannot download repodata/repomd.xml: All mirrors were tried, disabling.
Using metadata from Thu Nov 12 18:26:43 2015 (0:00:39 hours old)
No matching package to install: 'nunit-runner = 2.6.4'
Error: Not all dependencies satisfied

Comment 19 Upstream Release Monitoring 2015-11-12 20:33:39 UTC
raphgro's scratch build of sharpziplib-0.86.0-0.3.fc23.src.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=11807329

Comment 21 Raphael Groner 2015-11-12 20:39:52 UTC
nant is currently b0rken in rawhide.

Use f23 - Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=11807378

Comment 22 Upstream Release Monitoring 2015-11-12 20:47:47 UTC
raphgro's scratch build of sharpziplib-0.86.0-0.3.fc23.src.rpm for f23 completed http://koji.fedoraproject.org/koji/taskinfo?taskID=11807378

Comment 23 Christian Dersch 2015-11-12 21:32:54 UTC
Review done using F23 (due to broken rawhide deps), just missing: license breakdown according to https://fedoraproject.org/wiki/Packaging:LicensingGuidelines?rd=Packaging/LicensingGuidelines#Multiple_Licensing_Scenarios

Solution: Approved, as I think you can add this before SCM import and rest looks fine :)

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- If (and only if) the source package includes the text of the license(s)
  in its own file, then that file, containing the text of the license(s)
  for the package is included in %license.
  Note: License file COPYING.txt is marked as %doc instead of %license
  See:
  http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text

===> As in first review approach: false positive

- Add license breakdown to spec


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GPL (v2 or later) (with incorrect FSF address)", "BSD (3
     clause)", "Unknown or generated", "zlib/libpng". 174 files have
     unknown license. Detailed output of licensecheck in
     /home/review/1270394-sharpziplib/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[!]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.

====> Please add this using licensecheck output

[x]: Package does not own files or directories owned by other packages.
[-]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     sharpziplib-doc
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: The placement of pkgconfig(.pc) files are correct.
     Note: sharpziplib : /usr/lib64/pkgconfig/sharpziplib.pc
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: sharpziplib-0.86.0-0.3.fc23.x86_64.rpm
          sharpziplib-doc-0.86.0-0.3.fc23.noarch.rpm
          sharpziplib-0.86.0-0.3.fc23.src.rpm
sharpziplib.x86_64: W: spelling-error %description -l en_US installable -> install able, install-able, uninstallable
sharpziplib.x86_64: W: invalid-license zlib/libpng
sharpziplib.x86_64: E: no-binary
sharpziplib.x86_64: W: only-non-binary-in-usr-lib
sharpziplib.x86_64: E: incorrect-fsf-address /usr/share/licenses/sharpziplib/COPYING.txt
sharpziplib.x86_64: W: devel-file-in-non-devel-package /usr/lib64/pkgconfig/sharpziplib.pc
sharpziplib-doc.noarch: W: invalid-license zlib/libpng
sharpziplib-doc.noarch: E: incorrect-fsf-address /usr/share/doc/sharpziplib-doc/COPYING.txt
sharpziplib-doc.noarch: E: incorrect-fsf-address /usr/share/licenses/sharpziplib-doc/COPYING.txt
sharpziplib.src: W: spelling-error %description -l en_US installable -> install able, install-able, uninstallable
sharpziplib.src: W: invalid-license zlib/libpng
sharpziplib.src:90: E: hardcoded-library-path in %{buildroot}/usr/lib
3 packages and 0 specfiles checked; 5 errors, 7 warnings.

====> As you informed upstream about wrong FSF address, everything should be fine


Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
sharpziplib-doc.noarch: W: invalid-license zlib/libpng
sharpziplib-doc.noarch: E: incorrect-fsf-address /usr/share/doc/sharpziplib-doc/COPYING.txt
sharpziplib-doc.noarch: E: incorrect-fsf-address /usr/share/licenses/sharpziplib-doc/COPYING.txt
sharpziplib.x86_64: W: invalid-license zlib/libpng
sharpziplib.x86_64: E: no-binary
sharpziplib.x86_64: W: only-non-binary-in-usr-lib
sharpziplib.x86_64: W: devel-file-in-non-devel-package /usr/lib64/pkgconfig/sharpziplib.pc
sharpziplib.x86_64: E: incorrect-fsf-address /usr/share/licenses/sharpziplib/COPYING.txt
2 packages and 0 specfiles checked; 4 errors, 4 warnings.

====> As you informed upstream about wrong FSF address, everything should be fine

Requires
--------
sharpziplib-doc (rpmlib, GLIBC filtered):

sharpziplib (rpmlib, GLIBC filtered):
    /usr/bin/pkg-config
    mono(System)
    mono(mscorlib)
    mono-core



Provides
--------
sharpziplib-doc:
    sharpziplib-doc

sharpziplib:
    mono(ICSharpCode.SharpZipLib)
    pkgconfig(sharpziplib)
    sharpziplib
    sharpziplib(x86-64)



Source checksums
----------------
https://github.com/icsharpcode/sharpziplib/archive/e01215507cf25a5978a0bd850c9e67dbabf515b7.tar.gz#/sharpziplib-e01215507cf25a5978a0bd850c9e67dbabf515b7.tar.gz :
  CHECKSUM(SHA256) this package     : e8b8f0e6d4a76757f91a45a383cbcb1424355fb349e7a0f6d39ba266bceb7489
  CHECKSUM(SHA256) upstream package : e8b8f0e6d4a76757f91a45a383cbcb1424355fb349e7a0f6d39ba266bceb7489


Generated by fedora-review 0.5.3 (bcf15e3) last change: 2015-05-04
Command line :/bin/fedora-review -m fedora-23-x86_64 -b 1270394
Buildroot used: fedora-23-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 24 Raphael Groner 2015-11-13 08:45:15 UTC
Christian, thanks for the review!

I'm guessing GPLv2+ for the tests equally as the main sources.

Could you make a suggestion how to well sum up the license breakdown of the individually licensed sample files in a short comment? I tend to remove the samples folder from the package.

BSD (3 clause)
--------------
SharpZipLib-e01215507cf25a5978a0bd850c9e67dbabf515b7/samples/cs/CreateZipFile/Ma
in.cs
SharpZipLib-e01215507cf25a5978a0bd850c9e67dbabf515b7/samples/cs/FastZip/Main.cs
SharpZipLib-e01215507cf25a5978a0bd850c9e67dbabf515b7/samples/cs/minibzip2/Main.c
s
SharpZipLib-e01215507cf25a5978a0bd850c9e67dbabf515b7/samples/cs/minigzip/Main.cs
SharpZipLib-e01215507cf25a5978a0bd850c9e67dbabf515b7/samples/cs/sz/sz.cs
SharpZipLib-e01215507cf25a5978a0bd850c9e67dbabf515b7/samples/cs/tar/Main.cs
SharpZipLib-e01215507cf25a5978a0bd850c9e67dbabf515b7/samples/cs/unzipfile/UnZipF
ile.cs
SharpZipLib-e01215507cf25a5978a0bd850c9e67dbabf515b7/samples/cs/zipfiletest/ZipF
ileTest.cs
SharpZipLib-e01215507cf25a5978a0bd850c9e67dbabf515b7/samples/vb/CreateZipFile/Ma
inForm.vb
SharpZipLib-e01215507cf25a5978a0bd850c9e67dbabf515b7/samples/vb/minibzip2/Main.v
b
SharpZipLib-e01215507cf25a5978a0bd850c9e67dbabf515b7/samples/vb/viewzipfile/Main
.vb

Unknown or generated (guessing GPLv2+ as the main sources, or BSD as above)
--------------------
SharpZipLib-e01215507cf25a5978a0bd850c9e67dbabf515b7/samples/DIME/*
SharpZipLib-e01215507cf25a5978a0bd850c9e67dbabf515b7/samples/HttpCompressionModule/*
SharpZipLib-e01215507cf25a5978a0bd850c9e67dbabf515b7/samples/cs/CreateZipFile/*
SharpZipLib-e01215507cf25a5978a0bd850c9e67dbabf515b7/samples/cs/FastZip/*
SharpZipLib-e01215507cf25a5978a0bd850c9e67dbabf515b7/samples/cs/minibzip2/*
SharpZipLib-e01215507cf25a5978a0bd850c9e67dbabf515b7/samples/cs/minigzip/*
SharpZipLib-e01215507cf25a5978a0bd850c9e67dbabf515b7/samples/cs/sz/*
SharpZipLib-e01215507cf25a5978a0bd850c9e67dbabf515b7/samples/cs/tar/*
SharpZipLib-e01215507cf25a5978a0bd850c9e67dbabf515b7/samples/cs/unzipfile/*
SharpZipLib-e01215507cf25a5978a0bd850c9e67dbabf515b7/samples/cs/viewzipfile/*
SharpZipLib-e01215507cf25a5978a0bd850c9e67dbabf515b7/samples/cs/zf/*
SharpZipLib-e01215507cf25a5978a0bd850c9e67dbabf515b7/samples/cs/zipfiletest/*
SharpZipLib-e01215507cf25a5978a0bd850c9e67dbabf515b7/samples/vb/CreateZipFile/*
SharpZipLib-e01215507cf25a5978a0bd850c9e67dbabf515b7/samples/vb/minibzip2/*
SharpZipLib-e01215507cf25a5978a0bd850c9e67dbabf515b7/samples/vb/viewzipfile/*
SharpZipLib-e01215507cf25a5978a0bd850c9e67dbabf515b7/samples/vb/zipfiletest/*

Comment 26 Gwyn Ciesla 2015-11-13 21:13:19 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/sharpziplib

Comment 27 Fedora Update System 2015-11-13 22:03:30 UTC
sharpziplib-0.86.0-0.4.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-b4906ac936

Comment 28 Fedora Update System 2015-11-15 05:26:00 UTC
sharpziplib-0.86.0-0.4.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update sharpziplib'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-b4906ac936

Comment 29 Fedora Update System 2015-11-25 21:52:45 UTC
sharpziplib-0.86.0-0.4.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.